import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerSecurityGroupUpdateResultModel(
    _base.BaseAPIResultModel,
    _nested.SecurityGroupAPIResultNM,
):
    pass


class CloudbrokerSecurityGroupUpdateProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def update(
        self,
        *,
        security_group_id: int,
        name: str | None = None,
        description: str | None = None,
    ) -> CloudbrokerSecurityGroupUpdateResultModel:
        ...
